//Névtér létrehozása
var T;
if (!T) {
	T = {};
};
T.film = {};

//Segédfüggvények
var $ = T.$ = function(id) {
	return document.getElementById(id);
};

//Adatszerkezetek
T.film.filmek = [
	{
		cim: 'Passió',
		ev: 2004, 
		hossz: 127, 
		rendezo: 'Mel Gibson'
	},
	{
		cim: 'Szerelempróba (Tűzálló házasság)',
		ev: 2008, 
		hossz: 122, 
		rendezo: 'Alex Kendrick'
	},
	{
		cim: 'Bátorság férfiai',
		ev: 2011, 
		hossz: 129, 
		rendezo: 'Alex Kendrick'
	},
	{
		cim: 'Pio atya - A csodák embere',
		ev: 2000, 
		hossz: 200, 
		rendezo: 'Carlo Carlei'
	}
];

//Feldolgozó függvények
T.film.kivalogatas = function(filmek, szuro) {
	var szurt = [];
	for (var i = 0; i < filmek.length; i++) {
		if (filmek[i].cim.indexOf(szuro) > -1) {
			szurt.push(filmek[i]);
		}
	};
	return szurt;
};
T.film.kivalaszt = function(filmek, cim) {
	var film;
	var i = 0;
	while (filmek[i].cim !== cim) {
		i++;
	}
	return filmek[i];
};

//Kiíró függvények
T.film.tombbolLista = function (filmek) {
	var s = '';
	for (var i = 0; i < filmek.length; i++) {
		s += '<li>' + filmek[i].cim + '</li>';
	};
	return s;
};
T.film.filmbolHTML = function (film) {
	return '<p>Cím: ' + film.cim + '</p>' +
		'<p>Megjelenés éve:' + film.ev + '</p>' +
		'<p>Hossza: ' + film.hossz + '</p>' +
		'<p>Rendező: ' + film.rendezo + '</p>';
};

//Eseménykezelő függvények
T.film.szur = function() {
	//Beolvasás
	var szuro = this.value;
	//Feldolgozás
	var szurtFilmek = T.film.kivalogatas(T.film.filmek, szuro);
	//Kiírás
	$('filmlista').innerHTML = T.film.tombbolLista(szurtFilmek);
	T.film.torolFilm();
};
T.film.megjelenit = function(e) {
	if (e.target.tagName === 'LI') {
		//Beolvasás
		var li = e.target;
		var cim = li.innerHTML;
		//Feldolgozás
		var film = T.film.kivalaszt(T.film.filmek, cim);
		//Kiírás
		$('film').innerHTML = T.film.filmbolHTML(film);
	}
};
T.film.torolFilm = function () {
	$('film').innerHTML = '';
};

//Eseménykezelők regisztrálása
T.film.init = function() {
	//Eseménykezelők regisztrálása
	$('szuro').addEventListener('keyup', T.film.szur, false);
	$('filmlista').addEventListener('mouseover', T.film.megjelenit, false);
	$('filmlista').addEventListener('mouseout', T.film.torolFilm, false);
};
window.addEventListener('load', T.film.init, false);
